org.vishia.gral.swt

## Class SwtMng.XXXButtonUserAction

- java.lang.Object
- - org.vishia.gral.swt.SwtMng.XXXButtonUserAction

- All Implemented Interfaces:
    java.util.EventListener, org.eclipse.swt.events.SelectionListener, org.eclipse.swt.internal.SWTEventListener, SwtMng.XXXUserAction
  Enclosing class:
    SwtMng

      protected class SwtMng.XXXButtonUserAction
      extends java.lang.Object
      implements SwtMng.XXXUserAction, org.eclipse.swt.events.SelectionListener

  Action for user commands of buttons. An instance of this class is able to assign as button-action. The actionPerformed-method is implemented here, but the procedure calls a used-defined action method which is implemented in the user-space implementing the `GralUserAction#userActionGui(String, String, Map)`-interface.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private GralUserAction` | `userCmdGui` Reference to the users method.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `XXXButtonUserAction(GralUserAction userCmdGui)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `widgetDefaultSelected(org.eclipse.swt.events.SelectionEvent e)`
    `void` | `widgetSelected(org.eclipse.swt.events.SelectionEvent e)` Implementing of the primary action method, implements @see org.eclipse.swt.events#widgetSelected(SelectionEvent) All values of input fields are read out and filled in a list, to support locally access to the values of the dialog.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.swt.events.SelectionListener

      `widgetDefaultSelectedAdapter, widgetSelectedAdapter`

- - ### Field Detail

    - #### userCmdGui

          private final GralUserAction userCmdGui

      Reference to the users method.

  - ### Constructor Detail

    - #### XXXButtonUserAction

          private XXXButtonUserAction(GralUserAction userCmdGui)

      Constructor.
      Parameters:
        `userCmdGui` - The users method for the action.

  - ### Method Detail

    - #### widgetDefaultSelected

          public void widgetDefaultSelected(org.eclipse.swt.events.SelectionEvent e)

      Specified by:
        `widgetDefaultSelected` in interface `org.eclipse.swt.events.SelectionListener`

    - #### widgetSelected

          public void widgetSelected(org.eclipse.swt.events.SelectionEvent e)

      Implementing of the primary action method, implements @see org.eclipse.swt.events#widgetSelected(SelectionEvent) All values of input fields are read out and filled in a list, to support locally access to the values of the dialog.
      Specified by:
        `widgetSelected` in interface `org.eclipse.swt.events.SelectionListener`